org.apache.calcite.avatica.remote

## Interface ProtobufMeta

All Superinterfaces:
  Meta

    public interface ProtobufMeta
    extends Meta

An extension of `Meta` which allows for native processing of calls with the Protobuf API objects instead of the POJOS (to avoid object translation). In the write-path, performing this conversion tends to represent a signficant portion of execution time. The introduction of this interface is to serve the purose of gradual migration to Meta implementations that can naturally function over Protobuf objects instead of the POJOs.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.calcite.avatica.Meta

`Meta.ConnectionHandle, Meta.ConnectionProperties, Meta.CursorFactory, Meta.DatabaseProperty, Meta.ExecuteBatchResult, Meta.ExecuteResult, Meta.Factory, Meta.Frame, Meta.MetaResultSet, Meta.Pat, Meta.PrepareCallback, Meta.Signature, Meta.StatementHandle, Meta.StatementType, Meta.Style`

### Method Summary

Methods
`Meta.ExecuteBatchResult` `executeBatchProtobuf(Meta.StatementHandle h, List<Requests.UpdateBatch> parameterValues)` Executes a batch of commands on a prepared statement.

### Methods inherited from interface org.apache.calcite.avatica.Meta

`closeConnection, closeStatement, commit, connectionSync, createIterable, createStatement, execute, execute, executeBatch, fetch, getAttributes, getBestRowIdentifier, getCatalogs, getClientInfoProperties, getColumnPrivileges, getColumns, getCrossReference, getDatabaseProperties, getExportedKeys, getFunctionColumns, getFunctions, getImportedKeys, getIndexInfo, getPrimaryKeys, getProcedureColumns, getProcedures, getPseudoColumns, getSchemas, getSuperTables, getSuperTypes, getTablePrivileges, getTables, getTableTypes, getTypeInfo, getUDTs, getVersionColumns, openConnection, prepare, prepareAndExecute, prepareAndExecute, prepareAndExecuteBatch, rollback, syncResults`

### Method Detail

#### executeBatchProtobuf

    Meta.ExecuteBatchResult executeBatchProtobuf(Meta.StatementHandle h,
                                               List<Requests.UpdateBatch> parameterValues)
                                                 throws NoSuchStatementException

Executes a batch of commands on a prepared statement.

Parameters:
  `h` - Statement handle
  `parameterValues` - A collection of list of typed values, one list per batch
Returns:
  An array of update counts containing one element for each command in the batch.
Throws:
  `NoSuchStatementException`